function xshift(dx, h),

%    xshift(dx, h)
%
%  move axes with handle h (default gca) by dx, with no args, all the way to
%  right

if nargin < 2,
  h = gca;
end

pos = get(h, 'position');

if nargin==0,     % squeeze under top
  dx = 1 - (pos(1)+pos(3));
elseif dx==0 | isempty(dx),     
  dx = 1 - (pos(1)+pos(1));
end

set(h, 'position', [pos(1)+dx pos(2:end)]);  

return

