function ylift(dy, h),

%    ylift(dy, h)
%
%  move axes with handle h (default gca) by dy

if nargin < 2,
  h = gca;
end

pos = get(h, 'position');

if nargin==0,     % squeeze under top
  dy = 1 - (pos(2)+pos(4));
elseif dy==0,     
  dy = 1 - (pos(2)+pos(4));
end

set(h, 'position', [pos(1) pos(2)+dy pos(3:end)]);  

return

